summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorConrad Kostecki <conikost@gentoo.org>2019-12-19 23:48:13 +0100
committerConrad Kostecki <conikost@gentoo.org>2019-12-19 23:49:28 +0100
commitdbb0ebd5792d1ebe0a2b68aba6d027f9774b61a6 (patch)
tree87b349b00c840a829e2784032aea3b8829a5883e /games-server
parentnet-im/yowsup: fix sed call (diff)
downloadgentoo-dbb0ebd5792d1ebe0a2b68aba6d027f9774b61a6.tar.gz
gentoo-dbb0ebd5792d1ebe0a2b68aba6d027f9774b61a6.tar.bz2
gentoo-dbb0ebd5792d1ebe0a2b68aba6d027f9774b61a6.zip
games-server/minecraft-server: bump to version 1.15.1
Closes: https://bugs.gentoo.org/703328 Package-Manager: Portage-2.3.81, Repoman-2.3.20 Signed-off-by: Conrad Kostecki <conikost@gentoo.org>
Diffstat (limited to 'games-server')
-rw-r--r--games-server/minecraft-server/Manifest1
-rw-r--r--games-server/minecraft-server/minecraft-server-1.15.1.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/games-server/minecraft-server/Manifest b/games-server/minecraft-server/Manifest
index 8eefe9cc834..fe0cfc39023 100644
--- a/games-server/minecraft-server/Manifest
+++ b/games-server/minecraft-server/Manifest
@@ -1,2 +1,3 @@
DIST minecraft-server-1.14.4.jar 35958734 BLAKE2B 058d6609296394e4714a159976d4de0261a552a919e33db1e54d97e3d2ee90cd4356b60190b807050d3c7ab336149d1c9be55093ba002735ccc6a162706c6ee3 SHA512 b3d2852c6fa1b996bbf2fa9fc1fb860c6bca5136bcc5ddd3d236d85789c6bce81620f6b2d69eaa10c41d020fe0bb54de2fa601b3df3093af2691853a4445e1f8
DIST minecraft-server-1.15.0.jar 36164465 BLAKE2B e209abacd4a90964b7ccf19333224c0235c91f6f560a9c83f585c92cc973f3dea292032a67ef99aac8e8f17aedd557a0d8f548edda5a187c6a20def091e1ed9a SHA512 66775b4be5a38fe7e3fc94c50b870d58cc21d4da1b4f4437d749b5b6f93680a2206b5a1eac7e55b42072619686b0bdf16ed5850ce8db9c65f6d2508529bac0a4
+DIST minecraft-server-1.15.1.jar 36164938 BLAKE2B 21ee30c92b3060810fb766a54924b5273f44bfb906592770c101bed3f41cd65fc0cd05b9610fce805860f71088ccf89ac6cbf6a364eb8ca16047b39b8f0aa69f SHA512 4458daa6cd87b04ddbf0819dfc0538d24b8d08c529a94f1abff9b894d24ffb4eb3d0b23b8bfb088b2b6f43fb6f71d17700d9f80dab2ed56dc51c5bef329ba6bb
diff --git a/games-server/minecraft-server/minecraft-server-1.15.1.ebuild b/games-server/minecraft-server/minecraft-server-1.15.1.ebuild
new file mode 100644
index 00000000000..6f57b8c69d5
--- /dev/null
+++ b/games-server/minecraft-server/minecraft-server-1.15.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGIT_COMMIT="4d1826eebac84847c71a77f9349cc22afd0cf0a1"
+
+inherit readme.gentoo-r1 java-pkg-2
+
+DESCRIPTION="The official server for the sandbox video game"
+HOMEPAGE="https://www.minecraft.net/"
+SRC_URI="https://launcher.mojang.com/v1/objects/${EGIT_COMMIT}/server.jar -> ${P}.jar"
+
+LICENSE="Mojang"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ acct-group/minecraft
+ acct-user/minecraft
+ app-misc/dtach
+ || (
+ >=virtual/jre-1.8
+ >=virtual/jdk-1.8
+ )
+"
+
+RESTRICT="bindist mirror"
+
+S="${WORKDIR}"
+
+src_unpack() {
+ cp "${DISTDIR}"/${A} "${WORKDIR}" || die
+}
+
+src_install() {
+ java-pkg_newjar minecraft-server-${PV}.jar minecraft-server.jar
+ java-pkg_dolauncher minecraft-server --jar minecraft-server.jar --java_args "\${JAVA_OPTS}"
+
+ newinitd "${FILESDIR}"/minecraft-server.initd-r3 minecraft-server
+ newconfd "${FILESDIR}"/minecraft-server.confd minecraft-server
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}